cereal::base_class_detail::RegisterPolymorphicBaseClass< Base, Derived, IsPolymorphic > Struct Template Reference

`#include </build/libcereal-YYPPni/libcereal-1.2.1/include/cereal/types/base_class.hpp>`

## Static Public Member Functions

static void | bind ()

## Detailed Description

### template<class Base, class Derived, bool IsPolymorphic = std::is_polymorphic<Base>::value>
struct cereal::base_class_detail::RegisterPolymorphicBaseClass< Base, Derived, IsPolymorphic >

Used to register polymorphic relations and avoid the need to include polymorphic.hpp when no polymorphism is used

The documentation for this struct was generated from the following file:

- include/cereal/types/base_class.hpp